Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.operators
Class EarlyHashJoin

    java.lang.Object
      unity.operators.Operator
          unity.operators.EarlyHashJoin

    public class EarlyHashJoin

extends Operator

Constructor Summary
`EarlyHashJoin(Operator[] in, EquiJoinPredicate p, int bsize, int bfr, int numpart, boolean MNJoin, boolean useBGProcess)`
`EarlyHashJoin(Operator[] in, EquiJoinPredicate p, int bsize, int bfr, int numpart, boolean MNJoin, int numLeftRead1, int numRightRead1, int numLeftRead2, int numRightRead2, boolean useBGProcess, double scale, boolean leftJoin, boolean rightJoin)`

Method Summary
`void` | `close()`
`int` | `getLeftSampleRatePhase1()`
`int` | `getRightSampleRatePhase1()`
`void` | `init()`
`boolean` | `isLeftOuterJoin()`
`boolean` | `isRightOuterJoin()`
`Tuple` | `next()`
`void` | `setSamplingRate(int left, int right)`
`java.lang.String` | `toString()`

Methods inherited from class unity.operators.Operator
`getOutputRelation, getPageIOs, getPagesRead, getTupleIOs, getTuplesOutput, getTuplesRead, hasNext, isBuffered, printTree, setOutputRelation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EarlyHashJoin

    public EarlyHashJoin(Operator[] in,
                         EquiJoinPredicate p,
                         int bsize,
                         int bfr,
                         int numpart,
                         boolean MNJoin,
                         boolean useBGProcess)

### EarlyHashJoin

    public EarlyHashJoin(Operator[] in,
                         EquiJoinPredicate p,
                         int bsize,
                         int bfr,
                         int numpart,
                         boolean MNJoin,
                         int numLeftRead1,
                         int numRightRead1,
                         int numLeftRead2,
                         int numRightRead2,
                         boolean useBGProcess,
                         double scale,
                         boolean leftJoin,
                         boolean rightJoin)

Method Detail

### setSamplingRate

    public void setSamplingRate(int left,
                                int right)

### init

    public void init()
              throws java.io.IOException

  Specified by:
    `init` in class `Operator`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `Operator`
  Throws:
    `java.io.IOException`

### next

    public Tuple next()
               throws java.io.IOException

  Specified by:
    `next` in class `Operator`
  Throws:
    `java.io.IOException`

### getLeftSampleRatePhase1

    public int getLeftSampleRatePhase1()

  Returns:
    Returns the leftSampleRatePhase1.

### getRightSampleRatePhase1

    public int getRightSampleRatePhase1()

  Returns:
    Returns the rightSampleRatePhase1.

### isLeftOuterJoin

    public boolean isLeftOuterJoin()

  Returns:
    Returns the isLeftOuterJoin.

### isRightOuterJoin

    public boolean isRightOuterJoin()

  Returns:
    Returns the isRightOuterJoin.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD